Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.validators
Class DataSetResultSetValidator

    java.lang.Object
      org.eclipse.birt.report.model.validators.AbstractSemanticValidator
          org.eclipse.birt.report.model.validators.AbstractElementValidator
              org.eclipse.birt.report.model.api.validators.DataSetResultSetValidator

Deprecated. since birt 2.2

    public class DataSetResultSetValidator

extends org.eclipse.birt.report.model.validators.AbstractElementValidator

Validates the result set of the given data set has at least one column.

### Rule

The rule is that the result set of the given data set has at least one column.

### Applicability

This validator is only applied to `DataSet` .

Field Summary

Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`modules, name`

Constructor Summary
`DataSetResultSetValidator()` Deprecated.

Method Summary
`static DataSetResultSetValidator` | `getInstance()` Deprecated. Returns the singleton validator instance.
`java.util.List<SemanticException>` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Deprecated. Validates whether the result set of the given data set has no column defined.

Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSetResultSetValidator

    public DataSetResultSetValidator()

  Deprecated.

Method Detail

### getInstance

    public static DataSetResultSetValidator getInstance()

  Deprecated.
  Returns the singleton validator instance.

  Returns:
    the validator instance

### validate

    public java.util.List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module,
                                                      org.eclipse.birt.report.model.core.DesignElement element)

  Deprecated.
  Validates whether the result set of the given data set has no column defined.

  Specified by:
    `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
  Parameters:
    `module` - the module
    `element` - the data set to validate
  Returns:
    error list, each of which is the instance of `SemanticException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.